/*
    WinCdArb - Windows CdRom Device Arbiter service

    Copyright (C) 2007-2019 GuinpinSoft inc <wincdarb@makemkv.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License along
    with this program; if not, write to the Free Software Foundation, Inc.,
    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

*/
#ifndef WINNTAPI_H_INCLUDED
#define WINNTAPI_H_INCLUDED

#include <windows.h>
#include <winnt.h>
#include <winioctl.h>
#include <ntddscsi.h>
#include <winternl.h>

#ifndef _LPCBYTE_DEFINED
#define _LPCBYTE_DEFINED
typedef const BYTE *LPCBYTE;
#endif

#ifndef ARRAY_COUNT
#define	ARRAY_COUNT(_Array_)	(sizeof(_Array_)/sizeof((_Array_)[0]))
#endif

#ifndef STATUS_SUCCESS
#define STATUS_SUCCESS                  ((NTSTATUS)0x00000000L)
#endif

C_ASSERT(sizeof(NTSTATUS)==sizeof(HRESULT));
C_ASSERT(STATUS_SUCCESS==S_OK);

#endif // WINNTAPI_H_INCLUDED
